Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdf.event
Class EventBridge

    java.lang.Object
      org.apache.poi.hdf.event.EventBridge

All Implemented Interfaces:
  HDFLowLevelParsingListener

    public final class EventBridge

extends java.lang.Object
implements HDFLowLevelParsingListener

Constructor Summary
`EventBridge(HDFParsingListener listener)`

Method Summary
`void` | `bodySection(SepxNode sepx)`
`void` | `characterRun(ChpxNode chpx)`
`void` | `document(DocumentProperties dop)`
`void` | `endSections()`
`void` | `fonts(FontTable fontTbl)`
`void` | `hdrSection(SepxNode sepx)`
`void` | `lists(ListTables listTbl)`
`void` | `mainDocument(byte[] mainDocument)`
`void` | `miscellaneous(int fcMin, int ccpText, int ccpFtn, int fcPlcfhdd, int lcbPlcfhdd)`
`void` | `paragraph(PapxNode papx)`
`void` | `styleSheet(StyleSheet stsh)`
`void` | `tableStream(byte[] tableStream)`
`void` | `text(TextPiece t)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventBridge

    public EventBridge(HDFParsingListener listener)

Method Detail

### mainDocument

    public void mainDocument(byte[] mainDocument)

  Specified by:
    `mainDocument` in interface `HDFLowLevelParsingListener`

### tableStream

    public void tableStream(byte[] tableStream)

  Specified by:
    `tableStream` in interface `HDFLowLevelParsingListener`

### miscellaneous

    public void miscellaneous(int fcMin,
                              int ccpText,
                              int ccpFtn,
                              int fcPlcfhdd,
                              int lcbPlcfhdd)

  Specified by:
    `miscellaneous` in interface `HDFLowLevelParsingListener`

### document

    public void document(DocumentProperties dop)

  Specified by:
    `document` in interface `HDFLowLevelParsingListener`

### bodySection

    public void bodySection(SepxNode sepx)

  Specified by:
    `bodySection` in interface `HDFLowLevelParsingListener`

### hdrSection

    public void hdrSection(SepxNode sepx)

  Specified by:
    `hdrSection` in interface `HDFLowLevelParsingListener`

### endSections

    public void endSections()

  Specified by:
    `endSections` in interface `HDFLowLevelParsingListener`

### paragraph

    public void paragraph(PapxNode papx)

  Specified by:
    `paragraph` in interface `HDFLowLevelParsingListener`

### characterRun

    public void characterRun(ChpxNode chpx)

  Specified by:
    `characterRun` in interface `HDFLowLevelParsingListener`

### text

    public void text(TextPiece t)

  Specified by:
    `text` in interface `HDFLowLevelParsingListener`

### fonts

    public void fonts(FontTable fontTbl)

  Specified by:
    `fonts` in interface `HDFLowLevelParsingListener`

### lists

    public void lists(ListTables listTbl)

  Specified by:
    `lists` in interface `HDFLowLevelParsingListener`

### styleSheet

    public void styleSheet(StyleSheet stsh)

  Specified by:
    `styleSheet` in interface `HDFLowLevelParsingListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD